/*
 * @Author: Kane
 * @Date: 2023-09-06 11:17:44
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/mybatis/mapper/RewardsMapper.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

package com.cpic.xim.mybatis.mapper;

import java.util.ArrayList;
import java.util.HashMap;
import com.cpic.xim.mybatis.pojo.RewardGainer;
import com.cpic.xim.mybatis.pojo.RewardProject;

public interface RewardsMapper 
{
    public ArrayList<RewardProject> queryRewardProjects();

    public ArrayList<RewardGainer> queryRewardTelsaler();

    public void addRewardTelSaler( HashMap<String, Object> params );

    public void updateRewardTelSaler( HashMap<String, Object> params );

    public void deleteRewardTelSaler( HashMap<String, Object> params );
}
